Subject: Re: does procmail do locking for $LOGFILE

From: Roman Czyborra <[email-masked]>
Date: Mon, 6 Feb 1995 16:26:06 +0100 (MET)

Stephen is right to say that locking the LOGFILE is a bad idea because it
would slow procmail down too much and you could create deadlocks and not
notice them.  Roy Fielding told us on the www-proxy list that you can
prevent intertwined log entries by not using fprintf(3) but O_APPEND and
then write(2) it out all at once.